package ch.hepia.exos;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertSame;

import org.junit.Test;

public class AppTest {
    @Test
    public void testNorm() {
        assertEquals(5.0, (double) App.norm(MySet.of(3.0, 4.0)), Math.ulp(1.0));
    }

    @Test
    public void testFactorial() {
        assertSame(120, App.factorial(5));
    }

    @Test
    public void testPrimesUnder() {
        assertEquals(MySet.of(2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61,
                67, 71, 73, 79, 83, 89, 97), App.primesUnder(100));
    }
}
