package ch.hepia.exos;

/**
 * A small app to test the {@link ch.hepia.exos.MySet} implemented.
 */
public class App {
    /**
     * The norm of a given set.
     * 
     * @param set The set to compute the norm on.
     * @return The norm of the {@link ch.hepia.exos.MySet} = sqrt(e1^2 + e2^2 + ...
     *         + en^2)
     */
    public static Double norm(MySet<Double> set) {
        return 0.0;
    }

    /**
     * Computes the factorial of n.
     * 
     * @param n The argument of the factorial function
     * @return %he factorial of n = n! = 1*2*...*n.
     */
    public static Integer factorial(int n) {
        return 1;
    }

    /**
     * Computes all the primes number lower than a
     * given number.
     * 
     * @param maxExclusive The upper bound.
     * @return A {@link ch.hepia.exos.MySet} containing prime numbers.
     */
    public static MySet<Integer> primesUnder(int maxExclusive) {
        return new MySet<>();
    }

    /**
     * The main function to try the {@link ch.hepia.exos.MySet} collection
     * implemented.
     * 
     * @param args the args passed to the program.
     */
    public static void main(String[] args) {
        MySet<Double> set = MySet.of(3.0, 4.0, 5.0);
        System.out.println("Norm of " + set.toString() + "=" + norm(set));
        System.out.println("Primes under 30 = " + primesUnder(30).toString());
    }
}
