import java.util.Scanner;

public class ui {
    public static void display(){
        System.out.println("\nWelcome to this game! What do you want to do ?");
        System.out.println("1. create a deck");
        System.out.println("2. shuffle");
        System.out.println("3. show current deck");
        System.out.println("4. create hands");
        System.out.println("5. show hands");
        System.out.println("6. create pack of deck");
        System.out.println("7. show pack of deck");
        System.out.println("0. quit");
    }

    public static void displayGame(){
        System.out.println("\nWhich kind of game do you want ?");
        System.out.println("1. standard game (32 cards)");
        System.out.println("2. 13 cards per color (52)");
        System.out.println("3. 13 cards per color + 2 jokers (54)");
        System.out.println("4. 13 cards per color + 4 cavaliers (56)");
        System.out.println("5. tarot");
    }
    public static int inputUser(){
        Scanner sc = new Scanner(System.in);
        return sc.nextInt();
    }

    public static void handle() {
        boolean check = false, checkmain=false, checkPaquet=false;
        JeuDeCarte main1=null,main2=null;
        JeuDeCarte [] paquet=null;
        int quit = -1;
        JeuDeCarte jeu = null;
        while (quit != 0) {
            display();
            int input = inputUser();
            switch (input) {
                case (1)://création de JeuDeCarte;
                    Type in=null;
                    while (in==null){
                        displayGame();
                        in = JeuDeCarte.convertIntToType(inputUser());
                    }
                    jeu = JeuDeCarte.createPaquet(in);
                    check = true;
                    break;
                case (2)://shuffle();
                    if (check)
                        jeu.shuffle();
                    else
                        System.out.println("\nCreate a game before shuffle it please");
                    break;
                case (3)://afficher;
                    if (check) {
                        System.out.println(jeu);
                    } else {
                        System.out.println("\nCreate a game before display it please");
                    }
                    break;
                case (4)://creerMains;
                    if (check) {
                        main1 = JeuDeCarte.createHand(10,jeu)[0];
                        main2 = JeuDeCarte.createHand(10,jeu)[1];
                        checkmain=true;
                    }else {
                        System.out.println("\nCreate a game before create a hand please");
                    }
                    break;
                case (5)://showHands();
                    //the hands or not sorted
                    if (checkmain) {
                        System.out.println("\n1st hand");main1.toString();
                        System.out.println("\n2nd hand");main2.toString();
                    }
                    else
                        System.out.println("\nCreate hands before display them please");
                    break;
                case (6):
                    System.out.println("How many deck do you want to create ?");
                    int nb = inputUser();
                    paquet = JeuDeCarte.paquet(nb);
                    checkPaquet=true;
                    break;
                case (7):
                    if (checkPaquet) {
                        int cpt=1;
                        for (JeuDeCarte deck:paquet) {
                            System.out.println("\nDeck n°"+cpt);
                            System.out.println("\n"+deck+"\n");
                            cpt++;
                        }
                    }else
                        System.out.println("\nCreate decks before display them please");
                    break;
                case (0):
                    quit = 0;
                    System.out.println("\n\nHave a nice day :)");
                    break;
                default:
                    System.out.println("\nPlease select one of the options below");
                    break;
            }
        }
    }
}
