import java.util.Iterator;

public class ArrayListInt implements ListInt {
    private static int CAPACITY = 10;
    private int[] tab;
    private int size;

    public ArrayListInt() {
        this.tab = new int[CAPACITY];
        this.size = 0;
    }

    boolean isFull() {
        return this.size == CAPACITY;
    }

    void increaseCapacity() {
        int[] tmp = new int[size];
        System.arraycopy(tab, 0, tmp, 0, size);

        CAPACITY += 10;
        tab = new int[CAPACITY];
        System.arraycopy(tmp, 0, tab, 0, size);
    }

    public void insert(int value) {
        if (isFull()) {
            increaseCapacity();
        }
        tab[size++] = value;
    }

    public void insertAll(int... values) {
        for (int val : values) {
            insert(val);
        }
    }

    public int size() {
        return this.size;
    }

    public boolean isEmpty() {
        return size == 0;
    }

    private class ArrayListIntIterator implements Iterator<Integer> {
        private int currentIndex = 0;

        public boolean hasNext() {
            return currentIndex < size;
        }


        public Integer next() {
            return tab[currentIndex++];
        }
    }

    private class LinkedListInt implements ListInt{

        private int[] tab;

        int value;

        private int curr;
        private int next;
        private int head;

        boolean tabHasNextInt(){
            return false;
        }
        public void insert(int n) {
            tab[curr + 1]= n;

            /*if(tab[0]){

            }*/
        }

        public void insertAll(int... values) {

        }

        public int size() {
            return 0;
        }

        public Iterator<Integer> iterator() {
            return null;
        }
    }

    public Iterator<Integer> iterator() {
        return new ArrayListIntIterator();
    }
}
