import java.util.Optional;
import java.util.function.Supplier;

public class Exo6_s5 {
    public static Optional<Integer> test(Supplier<Integer> nb){
        try{
            Integer result = nb.get();
            if (result == null) {
                //System.err.println("Supplier returned null");
                return Optional.empty();
            }
            return Optional.of(nb.get());
        }
        catch (ArithmeticException e){
            System.err.println("La division par zero est interdite !");
            return Optional.empty();
        }catch (RuntimeException e) {
            //System.err.println("RuntimeException: " + e.getMessage());
            return Optional.empty();
        }
    }
    public static void main(String[] args) {
        test(()->3);
        test(()->3 + 4);
        test(()->3/0);
        test(()->null);
        test(()->{throw new RuntimeException();});
    }
}
