import java.util.ArrayList;
import java.util.Optional;
import java.util.function.Consumer;

public interface IntegerStack {
    int pop();
    Optional<Integer> popOption();
    void ifHeadIsPresent(Consumer<Integer> consumer);
    void push(int i);
    int size();
    int peek();
    Optional<Integer> peekOption();
    boolean isEmpty();
}
