import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

public class Db {
    public void serializePlayer(FileOutputStream fichier, Joueur player) {
        ObjectOutputStream oos = null;
        try {
            oos = new ObjectOutputStream(fichier);

            oos.writeObject(player);
        } catch (final java.io.IOException e) {
            e.printStackTrace();
        } finally {
            try {
                if (oos != null) {
                    oos.flush();
                    oos.close();
                }
            } catch (final IOException exc) {
                exc.printStackTrace();
            }
        }
    }
}
