import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;

import static org.junit.jupiter.api.Assertions.*;

class JeuDeCarteTest{
    @Test
    @DisplayName("Ne crée pas de mains si les paramètres sont incorrectes")
    void test_CreateHand(){
        int nbCarte = 4;
        Carte carte = new Carte(Couleur.coeur, 6, 6);
        JeuDeCarte jeu = new JeuDeCarte();
        jeu.tab = new ArrayList<>();
        assertThrows(IllegalArgumentException.class, () -> {
            JeuDeCarte.createTabHand(1, nbCarte, jeu);//erreur pck jeu pas initialisé avec des cartes
        });
        assertThrows(IllegalArgumentException.class, () -> {
            JeuDeCarte.createTabHand(0, nbCarte, jeu); //erreur pck nombre de joueur insuffisant
                });
        jeu.tab.add(carte);
        assertNotNull(JeuDeCarte.createTabHand(1, nbCarte, jeu)); 
    }
}